org.encog.ml.kmeans

## Class KMeansClustering

- java.lang.Object
- - org.encog.ml.kmeans.KMeansClustering

- All Implemented Interfaces:
    MLClustering, MLMethod

      public class KMeansClustering
      extends Object
      implements MLClustering

  This class performs a basic K-Means clustering. This class can be used on either supervised or unsupervised data. For supervised data, the ideal values will be ignored. http://en.wikipedia.org/wiki/Kmeans

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KMeansClustering(int theK, MLDataSet theSet)` Construct the K-Means object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MLCluster[]` | `getClusters()`
    `void` | `iteration()` Perform a single training iteration.
    `void` | `iteration(int count)` The number of iterations to perform.
    `int` | `numClusters()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KMeansClustering

          public KMeansClustering(int theK,
                          MLDataSet theSet)

      Construct the K-Means object.
      Parameters:
        `theK` - The number of clusters to use.
        `theSet` - The dataset to cluster.

  - ### Method Detail

    - #### iteration

          public final void iteration()

      Perform a single training iteration.
      Specified by:
        `iteration` in interface `MLClustering`

    - #### iteration

          public final void iteration(int count)

      The number of iterations to perform.
      Specified by:
        `iteration` in interface `MLClustering`
      Parameters:
        `count` - The count of iterations.

    - #### getClusters

          public MLCluster[] getClusters()

      Specified by:
        `getClusters` in interface `MLClustering`
      Returns:
        The clusters.

    - #### numClusters

          public int numClusters()

      Specified by:
        `numClusters` in interface `MLClustering`
      Returns:
        The number of clusters.

Copyright © 2014. All Rights Reserved.